CREATE TABLE CRST_FA_MASS_ADDITIONS
(
  MASS_ADDITION_ID                NUMBER(15),
  ASSET_NUMBER                    VARCHAR2(15 BYTE),
  TAG_NUMBER                      VARCHAR2(15 BYTE),
  DESCRIPTION                     VARCHAR2(80 BYTE),
  ASSET_CATEGORY_ID               NUMBER(15),
  MANUFACTURER_NAME               VARCHAR2(30 BYTE),
  SERIAL_NUMBER                   VARCHAR2(35 BYTE),
  MODEL_NUMBER                    VARCHAR2(40 BYTE),
  BOOK_TYPE_CODE                  VARCHAR2(15 BYTE),
  DATE_PLACED_IN_SERVICE          DATE,
  FIXED_ASSETS_COST               NUMBER,
  PAYABLES_UNITS                  NUMBER,
  FIXED_ASSETS_UNITS              NUMBER,
  PAYABLES_CODE_COMBINATION_ID    NUMBER(15),
  EXPENSE_CODE_COMBINATION_ID     NUMBER(15),
  LOCATION_ID                     NUMBER(15),
  ASSIGNED_TO                     NUMBER(15),
  FEEDER_SYSTEM_NAME              VARCHAR2(40 BYTE),
  CREATE_BATCH_DATE               DATE,
  CREATE_BATCH_ID                 NUMBER(15),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER,
  REVIEWER_COMMENTS               VARCHAR2(60 BYTE),
  INVOICE_NUMBER                  VARCHAR2(50 BYTE),
  VENDOR_NUMBER                   VARCHAR2(30 BYTE),
  PO_VENDOR_ID                    NUMBER(15),
  PO_NUMBER                       VARCHAR2(20 BYTE),
  POSTING_STATUS                  VARCHAR2(15 BYTE),
  QUEUE_NAME                      VARCHAR2(15 BYTE),
  INVOICE_DATE                    DATE,
  INVOICE_CREATED_BY              NUMBER(15),
  INVOICE_UPDATED_BY              NUMBER(15),
  PAYABLES_COST                   NUMBER,
  INVOICE_ID                      NUMBER(15),
  PAYABLES_BATCH_NAME             VARCHAR2(50 BYTE),
  DEPRECIATE_FLAG                 VARCHAR2(3 BYTE),
  PARENT_MASS_ADDITION_ID         NUMBER(15),
  PARENT_ASSET_ID                 NUMBER(15),
  SPLIT_MERGED_CODE               VARCHAR2(3 BYTE),
  AP_DISTRIBUTION_LINE_NUMBER     NUMBER(15),
  POST_BATCH_ID                   NUMBER(15),
  ADD_TO_ASSET_ID                 NUMBER(15),
  AMORTIZE_FLAG                   VARCHAR2(3 BYTE),
  NEW_MASTER_FLAG                 VARCHAR2(3 BYTE),
  ASSET_KEY_CCID                  NUMBER(15),
  ASSET_TYPE                      VARCHAR2(11 BYTE),
  DEPRN_RESERVE                   NUMBER,
  YTD_DEPRN                       NUMBER,
  BEGINNING_NBV                   NUMBER,
  CREATED_BY                      NUMBER(15),
  CREATION_DATE                   DATE,
  LAST_UPDATE_LOGIN               NUMBER(15),
  SALVAGE_VALUE                   NUMBER,
  ACCOUNTING_DATE                 DATE,
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE         VARCHAR2(30 BYTE),
  FULLY_RSVD_REVALS_COUNTER       NUMBER,
  MERGE_INVOICE_NUMBER            VARCHAR2(50 BYTE),
  MERGE_VENDOR_NUMBER             VARCHAR2(30 BYTE),
  PRODUCTION_CAPACITY             NUMBER,
  REVAL_AMORTIZATION_BASIS        NUMBER,
  REVAL_RESERVE                   NUMBER,
  UNIT_OF_MEASURE                 VARCHAR2(25 BYTE),
  UNREVALUED_COST                 NUMBER,
  YTD_REVAL_DEPRN_EXPENSE         NUMBER,
  ATTRIBUTE16                     VARCHAR2(150 BYTE),
  ATTRIBUTE17                     VARCHAR2(150 BYTE),
  ATTRIBUTE18                     VARCHAR2(150 BYTE),
  ATTRIBUTE19                     VARCHAR2(150 BYTE),
  ATTRIBUTE20                     VARCHAR2(150 BYTE),
  ATTRIBUTE21                     VARCHAR2(150 BYTE),
  ATTRIBUTE22                     VARCHAR2(150 BYTE),
  ATTRIBUTE23                     VARCHAR2(150 BYTE),
  ATTRIBUTE24                     VARCHAR2(150 BYTE),
  ATTRIBUTE25                     VARCHAR2(150 BYTE),
  ATTRIBUTE26                     VARCHAR2(150 BYTE),
  ATTRIBUTE27                     VARCHAR2(150 BYTE),
  ATTRIBUTE28                     VARCHAR2(150 BYTE),
  ATTRIBUTE29                     VARCHAR2(150 BYTE),
  ATTRIBUTE30                     VARCHAR2(150 BYTE),
  MERGED_CODE                     VARCHAR2(3 BYTE),
  SPLIT_CODE                      VARCHAR2(3 BYTE),
  MERGE_PARENT_MASS_ADDITIONS_ID  NUMBER(15),
  SPLIT_PARENT_MASS_ADDITIONS_ID  NUMBER(15),
  PROJECT_ASSET_LINE_ID           NUMBER(15),
  PROJECT_ID                      NUMBER(15),
  TASK_ID                         NUMBER(15),
  SUM_UNITS                       VARCHAR2(3 BYTE),
  DIST_NAME                       VARCHAR2(25 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  CONTEXT                         VARCHAR2(210 BYTE),
  INVENTORIAL                     VARCHAR2(3 BYTE),
  SHORT_FISCAL_YEAR_FLAG          VARCHAR2(3 BYTE),
  CONVERSION_DATE                 DATE,
  ORIGINAL_DEPRN_START_DATE       DATE,
  GROUP_ASSET_ID                  NUMBER(15),
  CUA_PARENT_HIERARCHY_ID         NUMBER,
  UNITS_TO_ADJUST                 NUMBER(15),
  BONUS_YTD_DEPRN                 NUMBER,
  BONUS_DEPRN_RESERVE             NUMBER,
  AMORTIZE_NBV_FLAG               VARCHAR2(1 BYTE),
  AMORTIZATION_START_DATE         DATE,
  TRANSACTION_TYPE_CODE           VARCHAR2(20 BYTE),
  TRANSACTION_DATE                DATE,
  WARRANTY_ID                     NUMBER(15),
  LEASE_ID                        NUMBER(15),
  LESSOR_ID                       NUMBER(15),
  PROPERTY_TYPE_CODE              VARCHAR2(10 BYTE),
  PROPERTY_1245_1250_CODE         VARCHAR2(4 BYTE),
  IN_USE_FLAG                     VARCHAR2(3 BYTE),
  OWNED_LEASED                    VARCHAR2(15 BYTE),
  NEW_USED                        VARCHAR2(4 BYTE),
  ASSET_ID                        NUMBER(15),  
  DUMMY                           CHAR(1),
  LAST_UPDATED_NAME               VARCHAR2(100),
  CREATED_NAME               	  VARCHAR2(100),
  PAYABLES_CODE_COMBINATION_ID_D  VARCHAR2(100),
  EXPENSE_CODE_COMBINATION_ID_D	  VARCHAR2(100)
);
